// mode: -*- C++ -*-
#ifndef __CURSORPOOL_H_
#define __CURSORPOOL_H_
#ifdef _MSC_VER
#pragma warning (disable: 4503)
#pragma warning (disable: 4786)
#endif

//using namespace std;

#include "SDL.h"
#include <vector>
#include <map>
#include <string>
#include "inifile.h"

struct cursorinfo
{
    Uint16 anstart,anend;
};

class CursorPool
{
private:
    std::vector<cursorinfo*> cursorpool;
    std::map<std::string, Uint16> name2index;
    INIFile* cursorini;
public:
    CursorPool(const char* ininame);
    ~CursorPool();
    cursorinfo* getCursorByName(const char* name);
};

#endif /* __CURSORPOOL_H_ */
