// mode: -*- C++ -*-
/*****************************************************************************
 * freecnc.h - header file for freecnc 
 *
 ****************************************************************************/
#ifndef __FREECNC_H
#define __FREECNC_H

#include "SDL.h"
#include "config.h"

class GraphicsEngine;
class SoundEngine;

class FreeCNC
{
public:
    FreeCNC();
    ~FreeCNC();
    void run();
private:
    ConfigType config;
    GraphicsEngine *gfxengine;
    SoundEngine *sndengine;
};

#endif
