// mode: -*- C++ -*-
#ifndef __MEMTRACK_H
#define __MEMTRACK_H

#if defined _DEBUG && !defined _WIN32

#include <stdlib.h>

extern void AddTrack(unsigned int addr,  unsigned int asize,
                         const char *fname, unsigned int lnum, bool array);
extern void RemoveTrack(unsigned int addr, bool array);
extern void DumpUnfreed();

void * operator new(unsigned int size, char *file,
                    int line);
void operator delete(void *p) throw();

//void * operator new[](unsigned int size);
void * operator new[](unsigned int size, char *file,
                      int line);
void operator delete[](void *p) throw();

#define new new(__FILE__, __LINE__)

#endif

#endif /* __MEMTRACK_H */
