#ifndef __NETCONNECTION_H
#define __NETCONNECTION_H

#include "SDL_types.h"

#ifndef NONET
#include "SDL_net.h"
#endif

class NetConnection
{
public:
    NetConnection(char *address, Uint16 port);
    ~NetConnection();
    void login(const char* version, const char* nick, const char* side, const char* colour);
    void logout();
    Uint16 send(Uint8 *data, Uint16 len);
    Uint16 recv(Uint8 *data, Uint16 len);
private:
#ifndef NONET

    IPaddress ip;
    TCPsocket tcpsock;
#endif
};

#endif

